## class OSGUTIL_EXPORT RemoveEmptyNodesVisitor

> Remove rendundant nodes, such as groups with one single child

## Inheritance:

### Public Fields

NodeList _redundantNodeList

### Public Methods

RemoveEmptyNodesVisitor()
virtual void apply(osg::Geode& geode)
virtual void apply(osg::Group& group)
void removeEmptyNodes()

### Public Members

typedef std::set<osg::Node*> NodeList

## Documentation

> Remove rendundant nodes, such as groups with one single child

`typedef std::set<osg::Node*> NodeList`

`NodeList _redundantNodeList`

`RemoveEmptyNodesVisitor()`

`virtual void apply(osg::Geode& geode)`

`virtual void apply(osg::Group& group)`

`void removeEmptyNodes()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.